<div class="container" :class="views.preview ? 'review-summary' : 'checkout-summary'">

<!-- Begin Cart Modal -->
    <div v-if="views.cart" id="cartModal" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Uklanjanje proizvoda</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close" @click="deletingProduct = null">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>Da li ste sigurni da želite da uklonite proizvod iz korpe?</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal" @click="deletingProduct = null">Poništi</button>
                    <button @click="removeProduct(deletingProduct)" class="btn btn-primary" type="button" :disabled="loading">
                        <span v-if="loading" class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>
                        Ukloni
                    </button>
                </div>
            </div>
        </div>
    </div>
<!-- End Cart Modal-->

<!-- Begin Cart -->
    <div class="row justify-content-center">

        <div v-if="views.cart" class="col-xs-12 col-lg-10">

            <div v-for="(product, index) in products" class="checkout-frame">
                <div class="checkout-product">

                    <div class="checkout-product-img">
                        <img :src="imageCacheRoute(product.main_image.src)" :alt="product.name">
                    </div>

                    <div class="checkout-product-info">
                        <a :href="route('client.product', { product: product.product_id, slug: product.slug })" target="_blank" class="link">{{ product.name }}</a>
                        <br>
                        <p v-for="(variant, index) in product.variant.product_attribute_values" class="text" style="display: inline">
                            <b>{{ index == 0 ? '' : ', ' }}{{ variant.attribute.name }}:</b>
                            <span :class="variant.attribute.name == 'boja' ? 'fa fa-square' : ''"
                                  :style="variant.attribute.name == 'boja' ? { color: variant.attribute_value.value } : ''">
                                {{ variant.attribute.name == 'boja' ? '' : variant.attribute_value.value }}
                            </span>
                        </p>
                    </div>

                </div>

                <div class="checkout-price-wrapper">

                    <p class="checkout-product-price">{{ (product.price * product.quantity).toFixed(2) }} rsd</p>

                    <div class="add-product">
                        <div class="plus-minus d-flex">
                            <button class="btn btn-outline-primary" @click="decreaseQuantity(index)" :disable="loading">
                                <i class="fas fa-minus"></i>
                            </button>

                            <input type="number" min="1" max="10000" v-model="product.quantity" :disable="loading">

                            <button class="btn btn-outline-primary" @click="increaseQuantity(index)" :disable="loading">
                                <i class="fas fa-plus"></i>
                            </button>
                        </div>
                    </div>

                </div>

                <button class="btn btn-link" @click="setDeletingProduct(product.cart_id)">
                    <i class="fas fa-times"></i>
                </button>
            </div>
        </div>

    </div>
<!-- End Cart -->


<!-- Begin Address From-->
    <div class="row justify-content-md-center">

        <div v-if="views.addressForm" class="col-xs-12 col-md-10">
            <ValidationObserver v-slot="{ invalid }">
                <form v-on:submit.prevent>
                    <div class="form-row">
                        <div class="form-group col-md-4">
                            <label for="name">Ime i Prezime*</label>
                            <ValidationProvider rules="required" v-slot="{ errors }" name="ime" ref="name">
                                <input type="text" class="form-control" :class="{ 'is-invalid': errors.length > 0 }" v-model="billing_info.billing_name" id="name">
                            </ValidationProvider>
                        </div>
                        <div class="form-group col-md-4">
                            <label for="mobile">Telefon*</label>
                            <ValidationProvider rules="required" v-slot="{ errors }" name="ime" ref="mobile">
                                <input type="tel" class="form-control" :class="{ 'is-invalid': errors.length > 0 }" v-model="billing_info.billing_phone_number" id="mobile">
                            </ValidationProvider>
                        </div>
                        <div class="form-group col-md-4">
                            <label for="mobile">Dostava*</label>
                            <ValidationProvider rules="required" v-slot="{ errors }" name="dostava" ref="delivery_company">
                                <select class="form-control" :class="{ 'is-invalid': errors.length > 0 }" v-model="billing_info.delivery_company" id="delivery_company" required>
                                    <option value="Post Express">Post Express</option>
                                    <option value="Daily Express">Daily Express</option>
                                </select>
                            </ValidationProvider>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <label for="street">Adresa*</label>
                            <ValidationProvider rules="required" v-slot="{ errors }" name="ime" ref="street">
                                <input type="text" class="form-control" :class="{ 'is-invalid': errors.length > 0 }" v-model="billing_info.billing_address" id="street">
                            </ValidationProvider>
                        </div>
                        <div class="form-group col-md-6">
                            <label for="city">Grad*</label>
                            <ValidationProvider rules="required" v-slot="{ errors }" name="ime" ref="city">
                                <input type="text" class="form-control" :class="{ 'is-invalid': errors.length > 0 }" v-model="billing_info.billing_city" id="city">
                            </ValidationProvider>
                        </div>
                    </div>

                    <div class="form-row">
                        <div class="form-group col-md-3">
                            <label for="zip">Poštanski Broj*</label>
                            <ValidationProvider rules="required" v-slot="{ errors }" name="ime" ref="zip">
                                <input type="text" class="form-control" :class="{ 'is-invalid': errors.length > 0 }" v-model="billing_info.billing_zip" id="zip">
                            </ValidationProvider>
                        </div>
                        <div class="form-group col-md-3">
                            <label for="floor">Sprat*</label>
                            <ValidationProvider rules="required" v-slot="{ errors }" name="ime" ref="floor">
                                <input type="text" class="form-control" :class="{ 'is-invalid': errors.length > 0 }" v-model="billing_info.billing_floor" id="floor">
                            </ValidationProvider>
                        </div>
                        <div class="form-group col-md-3">
                            <label for="flat">Stan*</label>
                            <ValidationProvider rules="required" v-slot="{ errors }" name="ime" ref="flat">
                                <input type="text" class="form-control" :class="{ 'is-invalid': errors.length > 0 }" v-model="billing_info.billing_flat" id="flat">
                            </ValidationProvider>
                        </div>
                        <div class="form-group col-md-3">
                            <label for="intercom">Interfon*</label>
                            <ValidationProvider rules="required" v-slot="{ errors }" name="ime" ref="flat">
                                <input type="text" class="form-control" :class="{ 'is-invalid': errors.length > 0 }" v-model="billing_info.billing_intercom" id="intercom">
                            </ValidationProvider>
                        </div>
                    </div>

                    <div class="form-row">
                        <div class="form-group col-md-12">
                            <label for="comment">Napomena</label>
                            <textarea class="form-control" v-model="billing_info.user_comment" id="comment"></textarea>
                        </div>
                    </div>


                    <div class="form-row">
                        <div class="col-xs-12 col-sm-6 text-center text-sm-left mb-2 mb-sm-0">
                            <button class="btn btn-outline-dark" @click="showCart">Prethodni korak</button>
                        </div>
                        <div class="col-xs-12 col-sm-6 text-center text-sm-right">
                            <button class="btn btn-primary" @click="invalid ? null : showPreview(invalid)">SLEDEĆI KORAK</button>
                        </div>
                    </div>
                </form>
            </ValidationObserver>
        </div>
    </div>
<!-- End Address From-->

    <div v-if="views.preview">

        <div class="row">

            <div class="col-sm-12 col-lg-6">

                <p class="title">Vaši podaci:</p>

                <ul class="list-group">
                    <li class="list-group-item">
                        <span>Ime i Prezime</span>
                        <p>{{ billing_info.billing_name }}</p>
                    </li>
                    <li class="list-group-item">
                        <span>Adresa</span>
                        <p>{{ billing_info.billing_address }}</p>
                    </li>
                    <li class="list-group-item">
                        <span>Stan</span>
                        <p>{{ billing_info.billing_flat }}</p>
                    </li>
                    <li class="list-group-item">
                        <span>Sprat</span>
                        <p>{{ billing_info.billing_floor }}</p>
                    </li>
                    <li class="list-group-item">
                        <span>Interfon</span>
                        <p>{{ billing_info.billing_intercom }}</p>
                    </li>
                    <li class="list-group-item">
                        <span>Grad</span>
                        <p>{{ billing_info.billing_zip }} {{ billing_info.billing_city }}</p>
                    </li>
                    <li class="list-group-item">
                        <span>Telefon</span>
                        <p>{{ billing_info.billing_phone_number }}</p>
                    </li>
                    <li class="list-group-item">
                        <span>Dostava</span>
                        <p>{{ billing_info.delivery_company }}</p>
                    </li>
                    <li class="list-group-item">
                        <span>Napomena</span>
                        <p>{{ billing_info.user_comment }}</p>
                    </li>
                </ul>

                <small class="d-block mt-2 mb-2">* Očekujte poziv od harc fitness tima radi potvrde porudžbine</small>

            </div>

            <div class="col-sm-12 col-lg-6">

                <p class="title">Vaši proizvodi:</p>

                <div v-for="(product, index) in products" class="review-frame">

                    <div class="review-product">

                        <div class="review-product-info">
                            <a :href="route('client.product', { product: product.product_id, slug: product.slug })" target="_blank" class="link">{{ product.name }}</a>
                            <br>
                            <p v-for="(variant, index) in product.variant.product_attribute_values" class="text" style="display: inline">
                                <b>{{ index == 0 ? '' : ', ' }}{{ variant.attribute.name }}:</b>
                                <span :class="variant.attribute.name == 'boja' ? 'fa fa-square' : ''"
                                      :style="variant.attribute.name == 'boja' ? { color: variant.attribute_value.value } : ''">
                                {{ variant.attribute.name == 'boja' ? '' : variant.attribute_value.value }}
                            </span>
                            </p>
                        </div>

                    </div>

                    <div class="review-price-wrapper">

                        <p class="review-product-price">Količina: <span>{{ product.quantity }}</span></p>

                        <p class="review-summary-price">Cena: <span>{{ product.price * product.quantity }} rsd</span></p>

                    </div>

                </div>

                <div class="review-basket-summary">
                    <span>Ukupno:</span>
                    <span> {{ total }} rsd</span>
                </div>

            </div>
        </div>

        <div class="form-row">
            <div class="col-xs-12 col-sm-6 text-center text-sm-left mb-2 mb-sm-0">
                <button class="btn btn-outline-dark" @click="showAddress()">Prethodni korak</button>
            </div>
            <div class="col-xs-12 col-sm-6 text-center text-sm-right">
                <button class="btn btn-primary" @click="submitOrder">
                    <span v-if="loading" class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>
                    ZAVRŠITE KUPOVINU
                </button>
            </div>
        </div>
    </div>


<!-- Begin Total amount -->
    <div v-if="products.length && views.cart" class="row justify-content-center mb-5 mt-3">
        <div class="col-xs-12 offset-lg-5 col-lg-5">
            <div class="checkout-basket-summary">
                <span>Ukupno</span>
                <span>{{ total }} rsd</span>
            </div>
        </div>
    </div>
<!-- End Total Amount-->

<!-- Next Step -->
    <div v-if="products.length && views.cart" class="row justify-content-center">
        <div class="col-xs-12 col-lg-10 text-right">
            <button v-if="" class="btn btn-primary" @click="showAddressForm">
                <span v-if="loading" class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>
                SLEDEĆI KORAK
            </button>
        </div>
    </div>
<!-- End Next Step -->


<!-- If cart is empty -->
    <div v-if="products.length < 1" class="row justify-content-center checkout-empty">
        <div class="col-sm-12">
            <i class="fas fa-shopping-cart"></i>
            <p v-if="loading">
                <span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>
                Molimo sačekajte</p>
            <p v-else>Trenutno nemate proizvoda u vašoj korpi.</p>
        </div>
    </div>
<!-- End -->

<!-- Success -->
    <div v-if="success" class="row justify-content-center checkout-empty">
        <div class="col-sm-12">
            <i class="fas fa-shopping-cart"></i>

            <p>Vaša porudžbina je uspešno prosledjena! Proverite vaš E-mail!</p>
        </div>
    </div>
<!-- End -->

</div>